gtkmm: Gtk::CellRendererPixbuf Class Reference

gtkmm 2.24.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::CellRendererPixbuf Class Reference
TreeView Classes

Renders a pixbuf in a cell. More...

Inheritance diagram for Gtk::CellRendererPixbuf:
[legend]
Collaboration diagram for Gtk::CellRendererPixbuf:
[legend]

List of all members.

## Public Member Functions
virtual | ~CellRendererPixbuf ()
GtkCellRendererPixbuf* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellRendererPixbuf* | gobj () const
| Provides access to the underlying C GtkObject.
| CellRendererPixbuf ()
Glib::PropertyProxy < Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf ()
| The pixbuf to render.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf () const
| The pixbuf to render.
Glib::PropertyProxy < Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf_expander_open ()
| Pixbuf for open expander.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf_expander_open () const
| Pixbuf for open expander.
Glib::PropertyProxy < Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf_expander_closed ()
| Pixbuf for closed expander.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf_expander_closed () const
| Pixbuf for closed expander.
Glib::PropertyProxy < Glib::ustring > | property_stock_id ()
| The stock ID of the stock icon to render.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_stock_id () const
| The stock ID of the stock icon to render.
Glib::PropertyProxy< guint > | property_stock_size ()
| The GtkIconSize value that specifies the size of the rendered icon.
Glib::PropertyProxy_ReadOnly < guint > | property_stock_size () const
| The GtkIconSize value that specifies the size of the rendered icon.
Glib::PropertyProxy < Glib::ustring > | property_stock_detail ()
| Render detail to pass to the theme engine.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_stock_detail () const
| Render detail to pass to the theme engine.
Glib::PropertyProxy < Glib::ustring > | property_icon_name ()
| The name of the icon from the icon theme.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_icon_name () const
| The name of the icon from the icon theme.
Glib::PropertyProxy< bool > | property_follow_state ()
| Whether the rendered pixbuf should be colorized according to the state.
Glib::PropertyProxy_ReadOnly < bool > | property_follow_state () const
| Whether the rendered pixbuf should be colorized according to the state.
Glib::PropertyProxy < Glib::RefPtr< Gio::Icon > > | property_gicon ()
| The GIcon being displayed.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gio::Icon > > | property_gicon () const
| The GIcon being displayed.
## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererPixbuf* | wrap (GtkCellRendererPixbuf* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Renders a pixbuf in a cell.

A CellRendererPixbuf can be used to render an image in a cell. It allows you to render either a given Pixbuf (set via the pixbuf property) or a stock icon (set via the stock_id property).

To support the tree view, CellRendererPixbuf also supports rendering two alternative pixbufs, when the is_expanded property is true. If the is_expanded property is true and the pixbuf_expander_open property is set to a pixbuf, it renders that pixbuf. If the is_expanded property is false and the* pixbuf_expander_closed property is set to a pixbuf, it renders that one.

## Constructor & Destructor Documentation

virtual Gtk::CellRendererPixbuf::~CellRendererPixbuf | ( |  | ) | `[virtual]`

Gtk::CellRendererPixbuf::CellRendererPixbuf | ( |  | ) |

## Member Function Documentation

GtkCellRendererPixbuf* Gtk::CellRendererPixbuf::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

const GtkCellRendererPixbuf* Gtk::CellRendererPixbuf::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

Glib::PropertyProxy<bool> Gtk::CellRendererPixbuf::property_follow_state | ( |  | ) |

Whether the rendered pixbuf should be colorized according to the state.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererPixbuf::property_follow_state | ( |  | ) | const

Whether the rendered pixbuf should be colorized according to the state.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gio::Icon> > Gtk::CellRendererPixbuf::property_gicon | ( |  | ) |

The GIcon being displayed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::Icon> > Gtk::CellRendererPixbuf::property_gicon | ( |  | ) | const

The GIcon being displayed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererPixbuf::property_icon_name | ( |  | ) | const

The name of the icon from the icon theme.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererPixbuf::property_icon_name | ( |  | ) |

The name of the icon from the icon theme.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf> > Gtk::CellRendererPixbuf::property_pixbuf | ( |  | ) | const

The pixbuf to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gdk::Pixbuf> > Gtk::CellRendererPixbuf::property_pixbuf | ( |  | ) |

The pixbuf to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gdk::Pixbuf> > Gtk::CellRendererPixbuf::property_pixbuf_expander_closed | ( |  | ) |

Pixbuf for closed expander.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf> > Gtk::CellRendererPixbuf::property_pixbuf_expander_closed | ( |  | ) | const

Pixbuf for closed expander.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gdk::Pixbuf> > Gtk::CellRendererPixbuf::property_pixbuf_expander_open | ( |  | ) |

Pixbuf for open expander.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf> > Gtk::CellRendererPixbuf::property_pixbuf_expander_open | ( |  | ) | const

Pixbuf for open expander.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererPixbuf::property_stock_detail | ( |  | ) |

Render detail to pass to the theme engine.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererPixbuf::property_stock_detail | ( |  | ) | const

Render detail to pass to the theme engine.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererPixbuf::property_stock_id | ( |  | ) |

The stock ID of the stock icon to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererPixbuf::property_stock_id | ( |  | ) | const

The stock ID of the stock icon to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gtk::CellRendererPixbuf::property_stock_size | ( |  | ) | const

The GtkIconSize value that specifies the size of the rendered icon.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::CellRendererPixbuf::property_stock_size | ( |  | ) |

The GtkIconSize value that specifies the size of the rendered icon.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gtk::CellRendererPixbuf* wrap | ( | GtkCellRendererPixbuf * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellrendererpixbuf.h